<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: 			*/
// +----------------------------------------------------------------------+
// | PHP version 4/5                                                      |
// +----------------------------------------------------------------------+
// | Copyright (c) 2004-2011 ARMIA INC                                    |
// +----------------------------------------------------------------------+
// | This source file is a part of iScripts PrintLogic                    |
// +----------------------------------------------------------------------+
// | Authors: Jipson<jipson.thomas@armiasystems.com>             		  |
// +----------------------------------------------------------------------+

App::import('Sanitize');

class CmspagesController extends AppController

{

    var $name = "Cmspage";

    var $helpers = array('Html', 'Form','Pagination','Javascript','Fck');   

	var $components = array ('Pagination','Catmenu'); // Added

	var $uses = array('Cmspage','Cart','Category','Dynamicpage'); 

	var $paginate = array('limit' => 25,'order' => array('Cmspage.title' => 'asc'));

    function index()

    {

       $this->__validateLoginStatus();

	   $admsess	=	$this->Session->read('Admin');

		if($admsess["websitecontent"] <> 1){

		 	$this->redirect(array('controller' => 'admins', 'action' => 'index')); 

			exit();

		}

		$cmbSearchType	=	"";

		$txtSearch		=	"";

		if(isset($_GET["cmbSearchType"]) && isset($_GET["txtSearch"])){
			$cmbSearchType	=	$_GET["cmbSearchType"];
			$txtSearch		=	$_GET["txtSearch"];
			if($cmbSearchType == "title"){
				$data = $this->paginate('Cmspage', array('Cmspage.type = ' => "content",'Cmspage.title LIKE ' => "%".addslashes($txtSearch)."%"));
			}elseif($cmbSearchType == "content"){
				$data = $this->paginate('Cmspage', array('Cmspage.type = ' => "content",'Cmspage.content LIKE ' => "%".addslashes($txtSearch)."%"));
			}else{
				$data = $this->paginate('Cmspage', array('Cmspage.type = ' => "content"));
			}
		}
		else if(isset($this->passedArgs["cmbSearchType"]) && isset($this->passedArgs["txtSearch"]) && 
		 $this->passedArgs["txtSearch"] <> '')
		{
		    $cmbSearchType	=	$this->passedArgs["cmbSearchType"];
			$txtSearch		=	$this->passedArgs["txtSearch"];
			if($cmbSearchType == "title"){
				$data = $this->paginate('Cmspage', array('Cmspage.type = ' => "content",'Cmspage.title LIKE ' => "%".addslashes($txtSearch)."%"));
			}elseif($cmbSearchType == "content"){
				$data = $this->paginate('Cmspage', array('Cmspage.type = ' => "content",'Cmspage.content LIKE ' => "%".addslashes($txtSearch)."%"));
			}else{
				$data = $this->paginate('Cmspage', array('Cmspage.type = ' => "content"));
			}
		}
		else{
			$data = $this->paginate('Cmspage', array('Cmspage.type = ' => "content"));
		}

		$this->set('cmbSearchType', $cmbSearchType);

		$this->set('txtSearch', $txtSearch);		
		
		$this->passedArgs['limit']=$this->paginate["limit"];
         $this->set('passedarg',$this->passedArgs);

		$this->set('pages', $data);

		$this->layout = 'adm';

    } 

	function indexmail()

    {

        $this->__validateLoginStatus();

		$admsess	=	$this->Session->read('Admin');

		if($admsess["websitecontent"] <> 1){

		 	$this->redirect(array('controller' => 'admins', 'action' => 'index')); 

			exit();

		}

		$cmbSearchType	=	"";

		$txtSearch		=	"";

		if(isset($_GET["cmbSearchType"]) && isset($_GET["txtSearch"])){
			$cmbSearchType	=	$_GET["cmbSearchType"];
			$txtSearch		=	$_GET["txtSearch"];
			if($cmbSearchType == "title"){
				$data = $this->paginate('Cmspage', array('Cmspage.type = ' => "email",'Cmspage.title LIKE ' => "%".addslashes($txtSearch)."%"));
			}elseif($cmbSearchType == "content"){
				$data = $this->paginate('Cmspage', array('Cmspage.type = ' => "email",'Cmspage.content LIKE ' => "%".addslashes($txtSearch)."%"));
			}else{
				$data = $this->paginate('Cmspage', array('Cmspage.type = ' => "email"));
			}
		}
		else if(isset($this->passedArgs["cmbSearchType"]) && isset($this->passedArgs["txtSearch"]) && 
		 $this->passedArgs["txtSearch"] <> '')
		{
		    $cmbSearchType	=	$this->passedArgs["cmbSearchType"];
			$txtSearch		=	$this->passedArgs["txtSearch"];
			if($cmbSearchType == "title"){
				$data = $this->paginate('Cmspage', array('Cmspage.type = ' => "email",'Cmspage.title LIKE ' => "%".addslashes($txtSearch)."%"));
			}elseif($cmbSearchType == "content"){
				$data = $this->paginate('Cmspage', array('Cmspage.type = ' => "email",'Cmspage.content LIKE ' => "%".addslashes($txtSearch)."%"));
			}else{
				$data = $this->paginate('Cmspage', array('Cmspage.type = ' => "email"));
			}
		}else{

			$data = $this->paginate('Cmspage', array('Cmspage.type = ' => "email"));

		}

		$this->set('cmbSearchType', $cmbSearchType);

		$this->set('txtSearch', $txtSearch);
		$this->passedArgs['limit']=$this->paginate["limit"];
         $this->set('passedarg',$this->passedArgs);

		$this->set('pages', $data);

		$this->layout = 'adm';

    } 

   function beforeFilter()

    {

             if (isset($this->Setting) && !empty($this->Setting->table))  

        {  

             $this->Setting->load();  

        } 

		global $sitefolder; 

		global $meta_description;

		global $meta_keywords;

		global $page_title;

		$cnfg 				=	Configure::read('Neutrino');

		$sitefolder			=	$cnfg["sitebasefolder"];

		$meta_description	=	$cnfg["meta_description"];

		$meta_keywords		=	$cnfg["meta_keywords"];

		$page_title			=	$cnfg["page_title"];

		global $style; 

		$style				=	$cnfg["style"];

		$this->set('style', $style);

		$this->set('meta_description', $meta_description);

		$this->set('meta_keywords', $meta_keywords);
		
		
		$this->pageTitle = $page_title	; 

		$this->set('cnfg',$cnfg);

		$this->paginate["limit"]=$cnfg["items_perpage"]; //Setting pagination limit per page.
		
		$this->set('sitefolder', $sitefolder);
		$httpHost	=	$_SERVER['HTTP_HOST'];
		$this->set('sitebase','http://'.$httpHost);

    }

    function beforeRender()
    {
        $footer_links = $this->Cmspage->find('list',array('conditions' => array('Cmspage.type' => 'content','Cmspage.status' => 'Y')));
        $this->set('footerlinks', $footer_links);

        $sus			=	$this->Session->read('Userlog');
        $this->set('sus', $sus);
        //Code Added By shyam for Category Menu Listing starts here..

		 $lst	=	$this->Category->find('all',array('order' => array('position' => 'ASC')));
		 foreach($lst as $det)

		 $menu_array[$det["Category"]["id"]] = array('name' => $det["Category"]["cname"],'parent' => $det["Category"]["parent_id"], 'position' => $det["Category"]["position"]);

		 $this->set('menu_array', $menu_array);
		 $pages =    $this->Dynamicpage->getpages();
		 //echo "hello<pre>";print_r($pages);
		 $this->set('pagesdynamic', $pages);

        //Code Added By shyam for Category Menu Listing ends here..
    }

    function __validateLoginStatus($typ='A')
    {
           if($typ == 'A'){
				if($this->Session->check('Admin') == false)
				{
					$this->Session->setFlash('The URL you have followed requires you login.', 'default',array('class'=> 'failure'));
					$this->redirect(array('controller' => 'admins', 'action' => 'login')); 
				}
		}else{
				if($this->Session->check('Userlog') == false)
				{
					$this->Session->setFlash('The URL you have followed requires you login.', 'default',array('class'=> 'failure'));
					$this->redirect(array('controller' => 'users', 'action' => 'login')); 
				}
			}
    }   

	function add() {

		$this->__validateLoginStatus();
		$admsess	=	$this->Session->read('Admin');

		if($admsess["websitecontent"] <> 1){
		 	$this->redirect(array('controller' => 'admins', 'action' => 'index')); 
			exit();
		}

		if (!empty($this->data)) {
			$pdt = $this->Cmspage->findByTitle($this->data["Cmspage"]["title"]);
            if (!empty($pdt['Cmspage']['id'])){
				$this->Session->setFlash('The Page Title Already Exist!', 'default',array('class'=> 'failure'));
				$this->redirect(array('controller'=>'cmspages','action'=>'add'));
				exit;
			}else{
				if ($this->Cmspage->save($this->data)) {
					$this->Session->setFlash('Your Page has been saved.', 'default',array('class'=> 'success'));
					$this->redirect('index');
					exit;
				}
			}
		}
		$this->layout = 'adm';
	}

	function edit($id=0) {   
                        
		if($id == 0){
			$this->redirect(array('controller' => 'cmspages','action'=>'index'));
			exit();
		}

		$this->__validateLoginStatus();
		$admsess	=	$this->Session->read('Admin');
		if($admsess["websitecontent"] <> 1){
		 	$this->redirect(array('controller' => 'admins', 'action' => 'index')); 
			exit();
		}

		$this->Cmspage->id = $id; 
		if (!empty($this->data)) {

			$pdt = $this->Cmspage->findByTitle($this->data["Cmspage"]["title"]);

			

            if (!empty($pdt['Cmspage']['id']) && $pdt['Cmspage']['id'] <> $id){
				$this->Session->setFlash('The Page Title Already Exists!', 'default',array('class'=> 'failure'));
				$this->data = $this->Cmspage->read(); 
				$this->set('pagedet', $this->data); 
			}else{
				if ($this->Cmspage->save($this->data)) {
					$this->Session->setFlash('The Content Has Been Edited Successfully.', 'default',array('class'=> 'success'));
					
                    if($this->data["Cmspage"]["cms_type"] <> 'email'){
                        $this->redirect('index');
                    }
                    else{
                        $this->redirect('indexmail');
                    }
					exit;
				}
				$this->data = $this->Cmspage->read(); 
				$this->set('pagedet', $this->data); 
			}

		}else{
			$this->data = $this->Cmspage->read(); 
			$this->set('pagedet', $this->data); 
		}
		$this->layout = 'adm';
	} 

	function delete($id){

		$this->__validateLoginStatus();
		$admsess	=	$this->Session->read('Admin');

		if($admsess["websitecontent"] <> 1){
		 	$this->redirect(array('controller' => 'admins', 'action' => 'index')); 
			exit();
		}

		$this->Cmspage->del($id,true);
		$this->Session->setFlash('Page Removed from Database.', 'default',array('class'=> 'success'));
		$this->redirect('index');
		exit;

	} 

	function aboutus(){

		$sus	=	$this->Session->read('Userlog');		
		if(isset($sus) && empty($sus)===false){		
		  $this->set('sus', $sus);
		  $citem	=	$this->Cart->find('all', array('conditions' => array('Cart.type <>' => 'G','user_id' => $sus['id'])));	
		}  
		else {
		  $this->set('sus', ''); 
		  $sessid	=	$this->Session->id();
		  $citem	=	$this->Cart->find('all', array('conditions' => array('Cart.type <>' => 'G','sess_id' => $sessid)));	
		}
 		$this->set('cartcount', count($citem));

		$lst	=	$this->Category->findAll();			 

		foreach($lst as $det)
		$menu_array[$det["Category"]["id"]] = array('name' => $det["Category"]["cname"],'parent' => $det["Category"]["parent_id"]);
		$this->set('menu_array', $menu_array);		

		$dat	=	$this->Cmspage->findByTitle('AboutUS');
		$this->set('abtus',$dat["Cmspage"]["content"]);
        $this->set('label',$dat["Cmspage"]["label"]);
		$this->layout = 'default';
	}

	function faq(){

		$sus	=	$this->Session->read('Userlog');		
		if(isset($sus) && empty($sus)===false){		
		  $this->set('sus', $sus);
		  $citem	=	$this->Cart->find('all', array('conditions' => array('Cart.type <>' => 'G','user_id' => $sus['id'])));	
		}  
		else {
		  $this->set('sus', ''); 
		  $sessid	=	$this->Session->id();
		  $citem	=	$this->Cart->find('all', array('conditions' => array('Cart.type <>' => 'G','sess_id' => $sessid)));	
		}
 		$this->set('cartcount', count($citem));

		$lst	=	$this->Category->findAll();			 

		foreach($lst as $det)
		$menu_array[$det["Category"]["id"]] = array('name' => $det["Category"]["cname"],'parent' => $det["Category"]["parent_id"]);
		$this->set('menu_array', $menu_array);		

		$dat	=	$this->Cmspage->findByTitle('FAQ');
		$this->set('abtus',$dat["Cmspage"]["content"]);
        $this->set('label',$dat["Cmspage"]["label"]);
		$this->layout = 'default';

	}

	function terms(){

		$sus	=	$this->Session->read('Userlog');		
		if(isset($sus) && empty($sus)===false){		
		  $this->set('sus', $sus);
		  $citem	=	$this->Cart->find('all', array('conditions' => array('Cart.type <>' => 'G','user_id' => $sus['id'])));	
		}  
		else {
		  $this->set('sus', ''); 
		  $sessid	=	$this->Session->id();
		  $citem	=	$this->Cart->find('all', array('conditions' => array('Cart.type <>' => 'G','sess_id' => $sessid)));	
		}
 		$this->set('cartcount', count($citem));
		
		$lst	=	$this->Category->findAll();			 
		foreach($lst as $det)
		$menu_array[$det["Category"]["id"]] = array('name' => $det["Category"]["cname"],'parent' => $det["Category"]["parent_id"]);
		$this->set('menu_array', $menu_array);		

		$dat	=	$this->Cmspage->findByTitle('Terms');

		$this->set('terms',$dat["Cmspage"]["content"]);
        $this->set('label',$dat["Cmspage"]["label"]);
		$this->layout = 'default';

	}

	function contactus(){
	    $sus	=	$this->Session->read('Userlog');		
		if(isset($sus) && empty($sus)===false){		
		  $this->set('sus', $sus);
		  $citem	=	$this->Cart->find('all', array('conditions' => array('Cart.type <>' => 'G','user_id' => $sus['id'])));	
		}  
		else {
		  $this->set('sus', ''); 
		  $sessid	=	$this->Session->id();
		  $citem	=	$this->Cart->find('all', array('conditions' => array('Cart.type <>' => 'G','sess_id' => $sessid)));	
		}
 		$this->set('cartcount', count($citem));

		$lst	=	$this->Category->findAll();			 

		foreach($lst as $det)
		$menu_array[$det["Category"]["id"]] = array('name' => $det["Category"]["cname"],'parent' => $det["Category"]["parent_id"]);
		$this->set('menu_array', $menu_array);		

		$dat	=	$this->Cmspage->findByTitle('ContactUS');
		$this->set('cntctus',$dat["Cmspage"]["content"]);
        $this->set('label',$dat["Cmspage"]["label"]);
		$this->layout = 'default';

	}
	
	function testimonials(){
	    $sus	=	$this->Session->read('Userlog');		
		if(isset($sus) && empty($sus)===false){		
		  $this->set('sus', $sus);
		  $citem	=	$this->Cart->find('all', array('conditions' => array('Cart.type <>' => 'G','user_id' => $sus['id'])));	
		}  
		else {
		  $this->set('sus', ''); 
		  $sessid	=	$this->Session->id();
		  $citem	=	$this->Cart->find('all', array('conditions' => array('Cart.type <>' => 'G','sess_id' => $sessid)));	

		}
 		$this->set('cartcount', count($citem));

		$lst	=	$this->Category->findAll();			
		foreach($lst as $det)
		$menu_array[$det["Category"]["id"]] = array('name' => $det["Category"]["cname"],'parent' => $det["Category"]["parent_id"]);
		$this->set('menu_array', $menu_array);		
		$dat	=	$this->Cmspage->findByTitle('Testimonials');
		$this->set('testimonial',$dat["Cmspage"]["content"]);
        $this->set('label',$dat["Cmspage"]["label"]);
		$this->layout = 'default';
	}
	
	function community(){
	    $sus	=	$this->Session->read('Userlog');		
		if(isset($sus) && empty($sus)===false){		
		  $this->set('sus', $sus);
		  $citem	=	$this->Cart->find('all', array('conditions' => array('Cart.type <>' => 'G','user_id' => $sus['id'])));	
		}  
		else {
		  $this->set('sus', ''); 
		  $sessid	=	$this->Session->id();
		  $citem	=	$this->Cart->find('all', array('conditions' => array('Cart.type <>' => 'G','sess_id' => $sessid)));	
		}
 		$this->set('cartcount', count($citem));

		$lst	=	$this->Category->findAll();			
		foreach($lst as $det)
		$menu_array[$det["Category"]["id"]] = array('name' => $det["Category"]["cname"],'parent' => $det["Category"]["parent_id"]);
		$this->set('menu_array', $menu_array);		
		$dat	=	$this->Cmspage->findByTitle('Community');
		$this->set('community',$dat["Cmspage"]["content"]);
        $this->set('label',$dat["Cmspage"]["label"]);
		$this->layout = 'default';
	}
	
	function setStatus($uid='',$status=''){
	    $this->Cmspage->id = $uid;
		$this->Cmspage->saveField('status',$status);
		$this->Session->setFlash('Status has been updated successfully!', 'default',array('class'=> 'success'));
	    $this->redirect(array('controller' => 'cmspages','action'=>'index'));
	}

}

?>